<?php // header with widgets

/* defaults*/
$hide_header_widgets = false;
/* variables */
$nav_style_class = orion_get_theme_option_css('navigation_style', 'nav-style-1');

// header bg color class (text-color)
$widgets_color = orion_get_option('header_widgets_colorstyle', false, 'text-dark');
$header_bg_color = orion_get_theme_option_css(array('header_background','background-color'), '#fff');
$header_overlay = '';
$text_color_class = $widgets_color;

if(orion_isColorLight($header_bg_color)){
	$text_color_class = 'text-dark'; 
} else {
	$text_color_class = 'text-light'; 
}

$flex_row_class = '';
// widget area width
if (orion_get_option('header_widgets_width', false, 'auto' ) == 'auto') {
	$branding_b_class = 'flex-item-left';
	$widget_b_class = 'flex-item-right';
	$flex_row_class = ' flex-row';
} else if (orion_get_option('header_widgets_width', false, 'col-md-8' ) == 'col-md-6') {
	$branding_b_class = 'col-md-6';
	$widget_b_class = 'col-md-6';
} else if (orion_get_option('header_widgets_width', false, 'col-md-8' ) == 'col-md-9') {
	$branding_b_class = 'col-md-3';
	$widget_b_class = 'col-md-9';
} else {
	$branding_b_class = 'col-md-4';
	$widget_b_class = 'col-md-8';
}
$header_overlay = '';
$header_style = orion_get_theme_option_css('navigation_links_color_style', 'nav-dark');
$mobile_logo_color = ' ' . orion_get_theme_option_css('widgetsfluid_header_mobile_logo_color', 'mobile-text-dark');
$mobile_header_layout = orion_get_theme_option_css('mobile_header_layout', '');
/* 
- transparent header 
- hide widget area
- mobile header color
*/

if ( is_page() || is_single() || (is_home() && is_front_page() == false) ) {
	if (is_home() && is_front_page() == false) {
		$page_for_posts = get_option( 'page_for_posts' );
		$orion_wp_meta = get_post_meta( $page_for_posts );
	} else {
		$orion_wp_meta = get_post_meta( get_the_ID() );
	}

	if (isset($orion_wp_meta['_recycle_transparent_header']) && ($orion_wp_meta['_recycle_transparent_header'][0] == 'on')) {
		$nav_style_class .= ' header-transparent';
	}

	if (isset($orion_wp_meta['_recycle_transparent_header_text_color']) && ($orion_wp_meta['_recycle_transparent_header_text_color'][0] != '')){
		$text_color_class = $orion_wp_meta['_recycle_transparent_header_text_color'][0];
		
		if ($orion_wp_meta['_recycle_transparent_header_text_color'][0] == 'text-light') {
			$header_style = 'nav-dark';

		} else {
			$header_style = 'nav-light';
		}
	}
	if (isset($orion_wp_meta['_recycle_desktop_logo_color']) && ($orion_wp_meta['_recycle_desktop_logo_color'][0] != '')){
		$text_color_class = $orion_wp_meta['_recycle_desktop_logo_color'][0];
	}	
	if (isset($orion_wp_meta['_recycle_hide_header_widget']) && $orion_wp_meta['_recycle_hide_header_widget'] == true) {
		$hide_header_widgets = true;	
	}
	if (isset($orion_wp_meta['_recycle_header_overlay']) && $orion_wp_meta['_recycle_header_overlay'][0] != '') {
		$header_overlay = ' ' . $orion_wp_meta['_recycle_header_overlay'][0];	
	}
	if (isset($orion_wp_meta['_recycle_mobile_logo_color']) && $orion_wp_meta['_recycle_mobile_logo_color'][0] != '') {

		$mobile_logo_color = ' ' . $orion_wp_meta['_recycle_mobile_logo_color'][0];	
	}	
}

if ( orion_get_option('header_widgets_colorstyle_mobile', false) && orion_get_option('header_widgets_colorstyle_mobile', false) != '' ) {
	$text_color_class .= ' ' . orion_get_option('header_widgets_colorstyle_mobile', false);
}

/* get megamenu color style */
if ($header_style == 'nav-light') {
$submenu_colors_regular = orion_get_theme_option_css(array('submenu_colors_nav_light','regular'),'rgba(0,0,0,.8)');	
} else {
	$submenu_colors_regular = orion_get_theme_option_css(array('submenu_colors_nav_dark','regular'),'rgba(0,0,0,.8)');
}
$container_class = 'container';
$nav_container_class = ''; 
$header_width_with_widgets = orion_get_option('header_width_with_widgets', false, '0');
// 0 and 1 options were left for legacy reasons (we removed switch in TO in favour of select)
if ( $header_width_with_widgets == '1' || $header_width_with_widgets == 'full_width_nav') {
	$container_class = 'container-fluid';
	$nav_style_class .= ' nav-style-fullwidth';
} else if ($header_width_with_widgets == 'normal' || $header_width_with_widgets == '0') {
	$container_class = 'container';
} else if ( $header_width_with_widgets == 'boxed_nav') {
	$container_class .= ' container-boxed';
	$nav_style_class .= ' nav-style-boxed';
	$nav_container_class = ' nav-type-boxed';
}
if (isset($mobile_header_layout) && $mobile_header_layout != '') {
	$header_style .= ' ' . $mobile_header_layout;
}
$header_style .= ' ' . $nav_style_class . ' ' . $header_overlay
?>
<header class="header-with-widgets site-header type-fluid-nav <?php echo esc_attr($header_style);?>">
	<div class="mainheader section">
		<div>
			<div class="<?php echo esc_attr($container_class);?>">

				<div class="row<?php echo esc_attr($flex_row_class);?>">
					<div class="site-branding <?php echo esc_attr($branding_b_class);?> text-left <?php echo esc_attr($text_color_class) .' '.esc_attr($mobile_logo_color);?>">
						<?php orion_get_logo(); ?>
					</div>

					<div class="relative-wrap <?php echo esc_attr($widget_b_class);?>">		
						<?php if ($hide_header_widgets != true) :?>
							<div class="row header-widgets text-right <?php echo esc_attr($text_color_class);?>">
								<?php dynamic_sidebar( 'sidebar-widgetsfluid-header' ); ?>
							</div>
						<?php endif;?>
					</div>
					<?php orion_header_mobile_nav();?>					
				</div>
			</div>
 
			<div class="nav-container<?php echo esc_attr($nav_container_class);?> <?php orion_get_class_cb('is_header_sticky', 'stickynav', 'noclass');?>">
				<div class="<?php echo esc_attr($container_class);?>">					
					<div class="row">
						<?php // Navigation ?>
						<div class="col-md-12">
							<nav id="primary-navigation" class="site-navigation" role="navigation">

							<?php orion_get_navigation(array('text-left'), array('nav-menu', 'text-left', 'clearfix'));?>		

			                </nav>
						</div>					
					</div>
				</div>
			</div>
		</div>
	</div>
</header>


